      subroutine readmatrix(a,n,m,unit)
      integer n,m,unit
      real a(n,m)
      Do i=1,n
      read (unit,*)  (a(i,j),j=1,m)
      end do

      end 

      

      subroutine displaymatrix(a,n,m)
      integer n,m,unit
      real a(n,m)
      Do i=1,n
      write (6,*)  (a(i,j),j=1,m)
      end do
 100  Format (5(2x,f10.5))
      end 

      subroutine readvektor(a,n,unit)
      integer n, unit
      real a(n)
      read (unit,*)  (a(j),j=1,n)
      end

      subroutine displayvektor(a,n)
      integer n
      real a(n)
      write (6,*)  (a(j),j=1,n)
      end

      subroutine readline(unit)
      integer unit
      read (unit,*) 
      end
